{namespace n=GeorgRinger\News\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  xmlns:drk="Drk\Template\ViewHelpers"
      data-namespace-typo3-fluid="true">
<body>

<f:section name="pressSchemaOrg">
	<f:if condition="{newsItem.starttime}">
		<f:then>
			<v:variable.set name="publishedDate"
							value="{f:format.date(date: newsItem.starttime, format: 'Y-m-d\TH:i:s+01:00')}"></v:variable.set>
		</f:then>
		<f:else>
			<v:variable.set name="publishedDate"
							value="{f:format.date(date: newsItem.crdate, format: 'Y-m-d\TH:i:s+01:00')}"></v:variable.set>
		</f:else>
	</f:if>
	<f:if condition="{newsItem.falMedia}">
		<f:then>
			<f:for each="{newsItem.falMedia}" as="falMedia" iteration="iteration">
				<f:if condition="{iteration.isFirst}">
					<v:variable.set name="media"
									value="{f:uri.image(src:'{falMedia.uid}', treatIdAsReference:1, maxWidth:'660', absolute: 'true')}"></v:variable.set>
					<v:variable.set name="title" value="{falMedia.title}"></v:variable.set>
					<v:variable.set name="thumbnail"
									value="{f:uri.image(src:'{falMedia.uid}', treatIdAsReference:1, maxWidth:'120', absolute: 'true')}"></v:variable.set>

				</f:if>
			</f:for>
		</f:then>
		<f:else>
			<v:variable.set name="title" value="{newsItem.title}"></v:variable.set>
			<v:variable.set name="media" value="https://www.drk.de/fileadmin/DRK-Twitter.jpg"></v:variable.set>
			<v:variable.set name="thumbnail"
							value="https://www.drk.de/fileadmin/DRK-Twitter.jpg"></v:variable.set>
		</f:else>
	</f:if>
    <f:if condition="{amp}== 1">
		<f:then>
			<div class="h-hide" style="display:none; visibility:hidden; width:0; height:0;"
				 itemscope itemtype="https://schema.org/NewsArticle">
				<f:if condition="{presse} == '1'">
					<f:then>
						<a itemprop="mainEntityOfPage" class="rs_skip"
						   href="{f:uri.page(pageUid: 655, additionalParams: {tx_news_pi1: {controller: 'News',action: 'detail', news:newsItem.uid}}, absolute: 1)}">{newsItem.title}</a>
					</f:then>
					<f:else>
						<a itemprop="mainEntityOfPage" class="rs_skip"
						   href="{f:uri.page(pageUid: 654, additionalParams: {tx_news_pi1: {controller: 'News',action: 'detail', news:newsItem.uid}}, absolute: 1)}">{newsItem.title}</a>
					</f:else>
				</f:if>
				<span itemprop="inLanguage" class="rs_skip">de-DE</span>
				<time itemprop="datePublished" class="rs_skip" datetime="{publishedDate}">{publishedDate}</time>
				<time itemprop="dateCreated" class="rs_skip"
					  datetime="{f:format.date(date: newsItem.crdate, format: 'Y-m-d\TH:i:s+01:00')}">
					{f:format.date(date: newsItem.crdate, format: 'Y-m-d\TH:i:s+01:00')}
				</time>
				<time itemprop="dateModified" class="rs_skip"
					  datetime="{f:format.date(date: newsItem.tstamp, format: 'Y-m-d\TH:i:s+01:00')}">
					{f:format.date(date: newsItem.tstamp, format: 'Y-m-d\TH:i:s+01:00')}
				</time>
				<span itemprop="headline" class="rs_skip">{newsItem.title}</span>
				<span itemprop="description" class="rs_skip">{newsItem.teaser -> f:format.stripTags()}</span>
				<link itemprop="image" class="rs_skip" href="{media}" />
				<link itemprop="thumbnailURL" href="{thumbnail}" />
				<span itemprop="articlebody" class="rs_skip" class="rs_skip">{newsItem.bodytext -> f:format.stripTags()}</span>
				<div itemprop="publisher" class="rs_skip" itemscope itemtype="https://schema.org/Organization">
					<span itemprop="name">Deutsches Rotes Kreuz e.V.</span>
					<span itemprop="logo" itemscope itemtype="http://schema.org/ImageObject">
						<link itemprop="url" href="https://www.drk.de/fileadmin/user_upload/Newsbilder/allgemein/DRK-Logo-60x115.jpg" />
						<meta itemprop="width" content="115">
						<meta itemprop="height" content="60">
					</span>
				</div>
				<div itemprop="author" class="rs_skip" itemscope itemtype="https://schema.org/Organization">
					<span itemprop="name">Deutsches Rotes Kreuz e.V.</span>
					<span itemprop="logo" itemscope itemtype="http://schema.org/ImageObject">
						<link itemprop="url" href="https://www.drk.de/fileadmin/user_upload/Newsbilder/allgemein/DRK-Logo-60x115.jpg" />
						<meta itemprop="width" content="115">
						<meta itemprop="height" content="60">
					</span>
				</div>
			</div>
        </f:then>
        <f:else>
            <div class="h-hide" style="display:none; visibility:hidden; width:0 !important; height:0 !important;"
                 itemscope itemtype="https://schema.org/NewsArticle">
                <f:if condition="{presse} == '1'">
                    <f:then>
                        <a itemprop="mainEntityOfPage" class="rs_skip"
                           href="{f:uri.page(pageUid: 655, additionalParams: {tx_news_pi1: {controller: 'News',action: 'detail', news:newsItem.uid}}, absolute: 1)}">{newsItem.title}</a>
                    </f:then>
                    <f:else>
                        <a itemprop="mainEntityOfPage" class="rs_skip"
                           href="{f:uri.page(pageUid: 654, additionalParams: {tx_news_pi1: {controller: 'News',action: 'detail', news:newsItem.uid}}, absolute: 1)}">{newsItem.title}</a>
                    </f:else>
                </f:if>
                <span itemprop="inLanguage" class="rs_skip">de-DE</span>
                <time itemprop="datePublished" class="rs_skip" datetime="{publishedDate}">{publishedDate}</time>
                <time itemprop="dateCreated" class="rs_skip"
                      datetime="{f:format.date(date: newsItem.crdate, format: 'Y-m-d\TH:i:s+01:00')}">
                    {f:format.date(date: newsItem.crdate, format: 'Y-m-d\TH:i:s+01:00')}
                </time>
                <time itemprop="dateModified" class="rs_skip"
                      datetime="{f:format.date(date: newsItem.tstamp, format: 'Y-m-d\TH:i:s+01:00')}">
                    {f:format.date(date: newsItem.tstamp, format: 'Y-m-d\TH:i:s+01:00')}
                </time>
                <span itemprop="headline" class="rs_skip">{newsItem.title}</span>
                <span itemprop="description" class="rs_skip">{newsItem.teaser -> f:format.stripTags()}</span>

                <img itemprop="image" class="rs_skip" src="{media}" alt="image from page"/>
                <img itemprop="thumbnailURL" class="rs_skip" src="{thumbnail}" alt="{title}"/>
                <span itemprop="articlebody" class="rs_skip">{newsItem.bodytext -> f:format.stripTags()}</span>
                <div itemprop="publisher" class="rs_skip" itemscope itemtype="https://schema.org/Organization">
                    <span itemprop="name">Deutsches Rotes Kreuz e.V.</span>
                    <span itemprop="logo" itemscope itemtype="http://schema.org/ImageObject">
						<img itemprop="url" src="https://www.drk.de/fileadmin/user_upload/Newsbilder/allgemein/DRK-Logo-60x115.jpg" alt="DRK Logo" width="115" height="60" style="width:115px;">
						<meta itemprop="width" content="115">
						<meta itemprop="height" content="60">
					</span>
                </div>
                <div itemprop="author" class="rs_skip" itemscope itemtype="https://schema.org/Organization">
                    <span itemprop="name">Deutsches Rotes Kreuz e.V.</span>
                    <span itemprop="logo" itemscope itemtype="http://schema.org/ImageObject">
						<img itemprop="url" src="https://www.drk.de/fileadmin/user_upload/Newsbilder/allgemein/DRK-Logo-60x115.jpg" alt="DRK Logo" width="115" height="60" style="width:115px;">
						<meta itemprop="width" content="115">
						<meta itemprop="height" content="60">
					</span>
                </div>
            </div>
        </f:else>
    </f:if>
</f:section>

</body>
</html>
